$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ToolsDir = Split-Path -parent $MyInvocation.MyCommand.Definition

$PackageArgs = @{
  PackageName   = $PackageName
  FileType      = 'exe'
  File64        = Get-Item $(Join-Path $ToolsDir "Nyrna-Windows-Installer.exe")

  SoftwareName  = 'nyrna*'

  Checksum      = "eaf0bbcbdbad4974e9a9fd0918ff25a6bf4fd78ee662e24438ba26e2b5c1434093da6264d63b77c316be5c5d61d168caff437b9445a19a428ca646c79dca5e4b"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/SILENT /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0, 1223)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Remove-Item $(Get-Item $(Join-Path $ToolsDir "Nyrna-Windows-Installer.exe"))

Write-Host "$PackageName registered as $App"